### Hierarchy

- GameSprite
  - GameSpriteSingleColor

### Implements

- IGameTile

## Index

### Constructors

- constructor

### Properties

- __coverageCount
- __source
- _optionalLegendChar
- allSpritesBitSetIndex

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- __incrementCoverage
- _getDescendantTiles
- addCell
- addCells
- clearCaches
- equals
- getCellsThatMatch
- getCollisionLayer
- getName
- getPixels
- getSprites
- getSpritesThatMatch
- has
- hasCell
- hasCollisionLayer
- hasNegationTileWithModifier
- hasPixels
- hasSingleCollisionLayer
- isBackground
- isOr
- matchesCell
- removeCell
- removeCells
- setCollisionLayer
- setCollisionLayerAndIndex
- subscribeToCellChanges
- subscribeToCellChangesTile
- toSourceString
- toString
- updateCell
- updateCells

## Constructors

### constructor

- new GameSpriteSingleColor(source: IGameCode, name: string, optionalLegendChar: Optional<string>, colors: IColor[]): GameSpriteSingleColor

- Overrides GameSprite.constructor

  - Defined in models/tile.ts:193

  #### Parameters

  - ##### source: IGameCode

  - ##### name: string

  - ##### optionalLegendChar: Optional<string>

  - ##### colors: IColor[]

  #### Returns GameSpriteSingleColor

## Properties

### __coverageCount

__coverageCount: Optional<number>

Implementation of IGameTile.__coverageCount

Inherited from BaseForLines.__coverageCount

- Defined in models/BaseForLines.ts:69

### __source

__source: IGameCode

Implementation of IGameTile.__source

Inherited from BaseForLines.__source

- Defined in models/BaseForLines.ts:68

### _optionalLegendChar

_optionalLegendChar: Optional<string>

Inherited from GameSprite._optionalLegendChar

- Defined in models/tile.ts:34

### allSpritesBitSetIndex

allSpritesBitSetIndex: number

Inherited from GameSprite.allSpritesBitSetIndex

- Defined in models/tile.ts:33

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Implementation of IGameTile.__getLineAndColumnRange

  Inherited from BaseForLines.__getLineAndColumnRange

  - Defined in models/BaseForLines.ts:96

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Implementation of IGameTile.__getSourceLineAndColumn

  Inherited from BaseForLines.__getSourceLineAndColumn

  - Defined in models/BaseForLines.ts:81

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

### __incrementCoverage

- __incrementCoverage(): void

- Inherited from BaseForLines.__incrementCoverage

  - Defined in models/BaseForLines.ts:104

  #### Returns void

### _getDescendantTiles

- _getDescendantTiles(): IGameTile[]

- Inherited from GameSprite._getDescendantTiles

  - Defined in models/tile.ts:68

  #### Returns IGameTile[]

### addCell

- addCell(cell: Cell, wantsToMove: Optional<RULE_DIRECTION>): void

- Inherited from GameSprite.addCell

  - Defined in models/tile.ts:119

  #### Parameters

  - ##### cell: Cell

  - ##### wantsToMove: Optional<RULE_DIRECTION>

  #### Returns void

### addCells

- addCells(sprite: GameSprite, cells: Cell[], wantsToMove: Optional<RULE_DIRECTION>): void

- Inherited from GameSprite.addCells

  - Defined in models/tile.ts:141

  #### Parameters

  - ##### sprite: GameSprite

  - ##### cells: Cell[]

  - ##### wantsToMove: Optional<RULE_DIRECTION>

  #### Returns void

### clearCaches

- clearCaches(): void

- Inherited from GameSprite.clearCaches

  - Defined in models/tile.ts:96

  #### Returns void

### equals

- equals(t: IGameTile): boolean

- Inherited from GameSprite.equals

  - Defined in models/tile.ts:56

  #### Parameters

  - ##### t: IGameTile

  #### Returns boolean

### getCellsThatMatch

- getCellsThatMatch(): Set<Cell>

- Inherited from GameSprite.getCellsThatMatch

  - Defined in models/tile.ts:187

  #### Returns Set<Cell>

### getCollisionLayer

- getCollisionLayer(): CollisionLayer

- Inherited from GameSprite.getCollisionLayer

  - Defined in models/tile.ts:90

  #### Returns CollisionLayer

### getName

- getName(): string

- Inherited from GameSprite.getName

  - Defined in models/tile.ts:62

  #### Returns string

### getPixels

- getPixels(spriteHeight: number, spriteWidth: number): IColor[][]

- Overrides GameSprite.getPixels

  - Defined in models/tile.ts:202

  #### Parameters

  - ##### spriteHeight: number

  - ##### spriteWidth: number

  #### Returns IColor[][]

### getSprites

- getSprites(): this[]

- Inherited from GameSprite.getSprites

  - Defined in models/tile.ts:71

  #### Returns this[]

### getSpritesThatMatch

- getSpritesThatMatch(cell: Cell): Set<any>

- Inherited from GameSprite.getSpritesThatMatch

  - Defined in models/tile.ts:105

  #### Parameters

  - ##### cell: Cell

  #### Returns Set<any>

### has

- has(cell: Cell): boolean

- Inherited from GameSprite.has

  - Defined in models/tile.ts:171

  #### Parameters

  - ##### cell: Cell

  #### Returns boolean

### hasCell

- hasCell(cell: Cell): boolean

- Implementation of IGameTile.hasCell

  Inherited from GameSprite.hasCell

  - Defined in models/tile.ts:99

  #### Parameters

  - ##### cell: Cell

  #### Returns boolean

### hasCollisionLayer

- hasCollisionLayer(): boolean

- Inherited from GameSprite.hasCollisionLayer

  - Defined in models/tile.ts:75

  #### Returns boolean

### hasNegationTileWithModifier

- hasNegationTileWithModifier(): boolean

- Inherited from GameSprite.hasNegationTileWithModifier

  - Defined in models/tile.ts:174

  #### Returns boolean

### hasPixels

- hasPixels(): boolean

- Overrides GameSprite.hasPixels

  - Defined in models/tile.ts:199

  #### Returns boolean

### hasSingleCollisionLayer

- hasSingleCollisionLayer(): boolean

- Inherited from GameSprite.hasSingleCollisionLayer

  - Defined in models/tile.ts:78

  #### Returns boolean

### isBackground

- isBackground(): boolean

- Inherited from GameSprite.isBackground

  - Defined in models/tile.ts:65

  #### Returns boolean

### isOr

- isOr(): boolean

- Inherited from GameSprite.isOr

  - Defined in models/tile.ts:53

  #### Returns boolean

### matchesCell

- matchesCell(cell: Cell): boolean

- Inherited from GameSprite.matchesCell

  - Defined in models/tile.ts:102

  #### Parameters

  - ##### cell: Cell

  #### Returns boolean

### removeCell

- removeCell(cell: Cell): void

- Inherited from GameSprite.removeCell

  - Defined in models/tile.ts:122

  #### Parameters

  - ##### cell: Cell

  #### Returns void

### removeCells

- removeCells(sprite: GameSprite, cells: Cell[]): void

- Inherited from GameSprite.removeCells

  - Defined in models/tile.ts:159

  #### Parameters

  - ##### sprite: GameSprite

  - ##### cells: Cell[]

  #### Returns void

### setCollisionLayer

- setCollisionLayer(collisionLayer: CollisionLayer): void

- Inherited from GameSprite.setCollisionLayer

  - Defined in models/tile.ts:82

  #### Parameters

  - ##### collisionLayer: CollisionLayer

  #### Returns void

### setCollisionLayerAndIndex

- setCollisionLayerAndIndex(collisionLayer: CollisionLayer, bitSetIndex: number): void

- Inherited from GameSprite.setCollisionLayerAndIndex

  - Defined in models/tile.ts:85

  #### Parameters

  - ##### collisionLayer: CollisionLayer

  - ##### bitSetIndex: number

  #### Returns void

### subscribeToCellChanges

- subscribeToCellChanges(t: SimpleTileWithModifier): void

- Inherited from GameSprite.subscribeToCellChanges

  - Defined in models/tile.ts:113

  #### Parameters

  - ##### t: SimpleTileWithModifier

  #### Returns void

### subscribeToCellChangesTile

- subscribeToCellChangesTile(tile: IGameTile): void

- Inherited from GameSprite.subscribeToCellChangesTile

  - Defined in models/tile.ts:116

  #### Parameters

  - ##### tile: IGameTile

  #### Returns void

### toSourceString

- toSourceString(): string

- Implementation of IGameTile.toSourceString

  Inherited from BaseForLines.toSourceString

  - Defined in models/BaseForLines.ts:90

  #### Returns string

### toString

- toString(): string

- Implementation of IGameTile.toString

  Inherited from BaseForLines.toString

  - Defined in models/BaseForLines.ts:85

  #### Returns string

### updateCell

- updateCell(cell: Cell, wantsToMove: RULE_DIRECTION): void

- Inherited from GameSprite.updateCell

  - Defined in models/tile.ts:125

  #### Parameters

  - ##### cell: Cell

  - ##### wantsToMove: RULE_DIRECTION

  #### Returns void

### updateCells

- updateCells(sprite: GameSprite, cells: Cell[], wantsToMove: RULE_DIRECTION): void

- Inherited from GameSprite.updateCells

  - Defined in models/tile.ts:156

  #### Parameters

  - ##### sprite: GameSprite

  - ##### cells: Cell[]

  - ##### wantsToMove: RULE_DIRECTION

  #### Returns void

Generated using TypeDoc